org.tmatesoft.svn.core.wc2

## Interface ISvnOperationHandler

    public interface ISvnOperationHandler

### Field Summary

Fields
`static ISvnOperationHandler` `NOOP`

### Method Summary

Methods
`void` `afterOperationFailure(SvnOperation<?> operation)` A callback that is called after each unsuccessful operation runs
`void` `afterOperationSuccess(SvnOperation<?> operation)` A callback that is called after each successful operation runs
`void` `beforeOperation(SvnOperation<?> operation)` A callback that is called before each operation runs

### Field Detail

#### NOOP

    static final ISvnOperationHandler NOOP

### Method Detail

#### beforeOperation

    void beforeOperation(SvnOperation<?> operation)
                         throws SVNException

A callback that is called before each operation runs

Parameters:
  `operation` - operation for which the callback is called
Throws:
  `SVNException`

#### afterOperationSuccess

    void afterOperationSuccess(SvnOperation<?> operation)
                               throws SVNException

A callback that is called after each successful operation runs

Parameters:
  `operation` - operation for which the callback is called
Throws:
  `SVNException`

#### afterOperationFailure

    void afterOperationFailure(SvnOperation<?> operation)

A callback that is called after each unsuccessful operation runs

Parameters:
  `operation` - operation for which the callback is called